Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.om
Class Navigator.AncestorEnumeration

    java.lang.Object
      net.sf.saxon.om.AxisIteratorImpl
          net.sf.saxon.om.Navigator.BaseEnumeration
              net.sf.saxon.om.Navigator.AncestorEnumeration

All Implemented Interfaces:
  AtomizableIterator, AxisIterator, SequenceIterator

Enclosing class:
  Navigator

public static final class Navigator.AncestorEnumeration
extends Navigator.BaseEnumeration

General-purpose implementation of the ancestor and ancestor-or-self axes

Field Summary

Fields inherited from class net.sf.saxon.om.AxisIteratorImpl
`current, position`

Constructor Summary
`Navigator.AncestorEnumeration(NodeInfo start, boolean includeSelf)`

Method Summary
`void` | `advance()` The advance() method must be provided in each concrete implementation.
`SequenceIterator` | `getAnother()` Get another iterator over the same sequence of items, positioned at the start of the sequence

Methods inherited from class net.sf.saxon.om.Navigator.BaseEnumeration
`next`

Methods inherited from class net.sf.saxon.om.AxisIteratorImpl
`current, isAtomizing, position, setIsAtomizing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Navigator.AncestorEnumeration

    public Navigator.AncestorEnumeration(NodeInfo start,
                                         boolean includeSelf)

Method Detail

### advance

    public void advance()

  Description copied from class: `Navigator.BaseEnumeration`
  The advance() method must be provided in each concrete implementation. It must leave the variable current set to the next node to be returned in the iteration, or to null if there are no more nodes to be returned.

  Specified by:
    `advance` in class `Navigator.BaseEnumeration`

### getAnother

    public SequenceIterator getAnother()

  Description copied from interface: `AxisIterator`
  Get another iterator over the same sequence of items, positioned at the start of the sequence

  Specified by:
    `getAnother` in interface `AxisIterator`
  Specified by:
    `getAnother` in class `Navigator.BaseEnumeration`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD